﻿
@model IEnumerable<APIFestival.Models.Artiste>

@{
    @using APIFestival.Models;
    List<Artiste> listeArtistes = ((List<Artiste>)ViewData["artistes"]);
    List<JouerSur> listePrestations = ((List<JouerSur>)ViewData["prestations"]);
    List<Scene> listeScenes = ((List<Scene>)ViewData["scenes"]);

    ViewData["Title"] = "Recherche";


}

<h1>Rechercher un artiste</h1>

<form method="POST" asp-controller="Home" asp-action="RechercheArtiste">


    <p>
        Entrez le nom de l'artiste que vous souhaitez rechercher: <br />

        <input type="text" name="SearchString">
        <input type="submit" value="Search" />
    </p>
     @if (ViewData["message"] != null)
    {
        <p>@ViewData["message"]</p>
    }
</form>

   
    @if (listeArtistes != null)
    {
        foreach (var a in listeArtistes)
        {<div class="card mb-5" style="max-width: 1200px;margin-bottom: 5px;">
             <div class="row no-gutters">
                 <div class="col-md-4">
                     <img src="@a.UrlPhoto"
                          class="card-img">
                 </div>
                 <div class="col-md-8">
                     <div class="card-body">
                         <p class="card-text">Nom de l'artiste : @a.Nom</p>
                         <p class="card-text">Style Musical : @a.Style</p>
                         <p class="card-text">Descriptif : @a.Descriptif</p>



                     </div>

                     @{ listePrestations = (from p in listePrestations where a.Id == p.IdArtiste select p).ToList<JouerSur>();
                         List<Festival> liste = new List<Festival>();

                         foreach (var s in listeScenes)
                         {
                             foreach (var p in listePrestations)
                             {
                                 if (s.Id == p.IdScn)
                                 {
                                     var f = SiteWebFestival.Controllers._DAOAPI.Instance.GetFestivalAsync(s.IdFestival).Result;
                                     if (!liste.Contains(f))
                                     {
                                         liste.Add(f);
                                     }
                                 }
                             }
                         }

                         foreach (var f in liste)
                         { <ul>
                                 <li> <p class="card-text">Nom du festival : @f.Nom </p> </li>
                             </ul>

                         }
                     }

                 </div>

             </div>
</div>
             //<tbody>



/*{ listePrestations = (from p in listePrestations where a.Id == p.IdArtiste select p).ToList<JouerSur>();
                 List<Festival> liste = new List<Festival>();

                 foreach (var s in listeScenes)
                 {
                     foreach (var p in listePrestations)
                     {
                         if (s.Id == p.IdScn)
                         {
                             var f = SiteWebFestival.Controllers._DAOAPI.Instance.GetFestivalAsync(s.IdFestival).Result;
                             if (!liste.Contains(f))
                             {
                                 liste.Add(f);
                             }
                         }
                     }
                 }
                 foreach (var f in liste)
                 {
                     <p class="card-text">Nom du festival : @f.Nom</p><br />

                 }
             }*/



                             //</tbody>
        }
     }




